Subject: bug#15733: closed (Re: bug#15733: Guile fails to download from poorly-behaved downloads.mysql.com)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 29 Mar 2014 13:19:02 +0000

Your bug report

#15733: Guile fails to download from poorly-behaved downloads.mysql.com

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
15733: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=15733
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#15733: Guile fails to download from poorly-behaved downloads.mysql.com
From: [email-masked] (Ludovic Courtès)
To: Mark H Weaver <[email-masked]>
Cc: [email-masked]
Date: Sat, 29 Mar 2014 14:18:32 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mark H Weaver <[email-masked]> skribis:

> Guile 2.0.9 is unable to download:
>
>   http://downloads.mysql.com/archives/mysql-5.1/mysql-5.1.54.tar.gz
>
> apparently because the HTTP server resets the TCP connection at the end,
> instead of closing normally.  Here's what I see:
>
> http://downloads.mysql.com/.../mysql-5.1.54.tar.gz	 99.9% of 23117.4 KiBERROR: In procedure fport_fill_input: Connection reset by peer

AFAICS this was fixed by Guile commit 802a25b1 (part of Guile 2.0.11,
which is now the default in Guix master.)

Thus I’m closing the bug.

Thanks,
Ludo’.

Subject: Guile fails to download from poorly-behaved downloads.mysql.com
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2013 12:42:47 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Guile 2.0.9 is unable to download:

  http://downloads.mysql.com/archives/mysql-5.1/mysql-5.1.54.tar.gz

apparently because the HTTP server resets the TCP connection at the end,
instead of closing normally.  Here's what I see:

--8<---------------cut here---------------start------------->8---
http://downloads.mysql.com/.../mysql-5.1.54.tar.gz	 99.9% of 23117.4 KiBERROR: In procedure fport_fill_input: Connection reset by peer
--8<---------------cut here---------------end--------------->8---

wget is able to download the file successfully.

    Mark